%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-threads
Version:          2.0.0
Release:          6%{?dist}
Summary:          JBoss Threads
Group:            Development/Libraries
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-threads

# git clone git://github.com/jbossas/jboss-threads.git
# cd jboss-threads/ && git archive --format=tar --prefix=jboss-threads-2.0.0.GA/ 2.0.0.GA | xz > jboss-threads-2.0.0.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    junit
BuildRequires:    apiviz
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging

Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss Threads

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-6
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 24 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.0-4
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-2
- Cleaned up spec file

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-1
- Initial packaging

